Subject: bug#39294: Can't run ./configure

From: Julien Lepiller <[email-masked]>
Date: Sun, 26 Jan 2020 14:05:34 -0500

Le 26 janvier 2020 11:57:45 GMT-05:00, Damien Cassou <[email-masked]> a écrit :
>Hi,
>
>I'm on Fedora and just installed Guix by using guix-install.sh. I also
>checked out Guix git repository. When inside this repository, I face
>the
>following issue:
>
>    $ guix environment guix
>    ...
>    
>    guix$ ./bootstrap
>    ...
>    
>    guix$ ./configure
>    ...
>    checking if (gnutls) is available... yes
>    checking if (git) is available... no
>    configure: error: Guile-Git is missing; please install it.
>
>I tried passing "--ad-hoc guile-git git" as parameter to "guix
>environment", but this doesn't fix the problem.

Hi Damien,

don't listen to them, they don't fave a fedora workstation :p

On my fedora system, configure finds the system guile which doesn't want to use any of the libraries in the environment. I always have to do this:

$ guix environment guix --pure
^C if your terminal asks you to install whatever
[env]$ ./bootstrap
[env]$ ./configure --localstatedir=/var # this should now work
[env]$ exit # to exit the pure environment
$ guix environment guix # no need for pure anymore, so now we can use things outside of the environment too
[env]$ make

HTH :)